GET/v2.0/accountSettings/usersRead-only

Get list of users under current account.

Parameters

offsetquerynumberrequired

The number of users to skip before starting to collect the result set. Will be ignored if export param is specified.

limitquerynumberrequired

The number of users to return. Will be ignored if export param is specified.

sortquerystring

Sort field

Values: USERNAME, FIRST_NAME, LAST_NAME, EMAIL, ROLE, DEVICE_GROUP, STATUS

sortDirquerystring

Sort direction

Values: ASC, DESC

searchValuequerystring

Search string to filter users list by User Name, First Name, Last Name, Email, Role, Device Group Name

columnsquerystring

Comma separated list of columns for CSV export. Values - FIRST_NAME, LAST_NAME, USER_NAME, ROLE, EMAIL, DEVICE_GROUP, STATUS.

exportquerystring

Export format. Currently only CSV is accepted.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v2.0/accountSettings/users?offset=0&limit=25&sort=LAST_30_DAYS_USED&sortDir=DESC&searchValue=Bus&columns=MDN%2CSTATUS%2CIMEI%2CLAST_30_DAYS_USED&export=CSV" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"

Try this operation in the interactive explorer →